summaryrefslogtreecommitdiffstats
path: root/kud/tests/ovn4nfv.sh
diff options
context:
space:
mode:
authorVictor Morales <victor.morales@intel.com>2019-03-22 23:24:43 +0000
committerGerrit Code Review <gerrit@onap.org>2019-03-22 23:24:43 +0000
commit79b27040152a7c4ce3145b15d726645d90ea79d9 (patch)
tree1ca12bbed0c44084d32bc29c62db2dec3a589257 /kud/tests/ovn4nfv.sh
parent838ddaa50041ac4c33adeb2c8a33340fdfe2c952 (diff)
parent1fd5b3964a142be6c176dcc886d79a614c04ce70 (diff)
Merge "Restructuring the repo."
Diffstat (limited to 'kud/tests/ovn4nfv.sh')
-rwxr-xr-xkud/tests/ovn4nfv.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/kud/tests/ovn4nfv.sh b/kud/tests/ovn4nfv.sh
new file mode 100755
index 00000000..37fddfd8
--- /dev/null
+++ b/kud/tests/ovn4nfv.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2018
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+source _common.sh
+source _functions.sh
+
+csar_id=a1c5b53e-d7ab-11e8-85b7-525400e8c29a
+
+# Setup
+install_ovn_deps
+populate_CSAR_ovn4nfv $csar_id
+
+pushd ${CSAR_DIR}/${csar_id}
+for net in ovn-priv-net ovn-port-net; do
+ cleanup_network $net.yaml
+ echo "Create OVN Network $net network"
+ init_network $net.yaml
+done
+kubectl apply -f onap-ovn4nfvk8s-network.yaml
+setup $ovn4nfv_deployment_name
+
+# Test
+deployment_pod=$(kubectl get pods | grep $ovn4nfv_deployment_name | awk '{print $1}')
+echo "===== $deployment_pod details ====="
+kubectl exec -it $deployment_pod -- ip a
+multus_nic=$(kubectl exec -it $deployment_pod -- ifconfig | grep "net1")
+if [ -z "$multus_nic" ]; then
+ echo "The $deployment_pod pod doesn't contain the net1 nic"
+ exit 1
+fi
+
+# Teardown
+teardown $ovn4nfv_deployment_name
+cleanup_network ovn-priv-net.yaml
+cleanup_network ovn-port-net.yaml
+popd